» Ubuntu » Packages » lucid (10.04LTS) » ocaml » libpgocaml-ocaml
lucid  ] [  precise  ] [  trusty  ] [  utopic  ] [  vivid  ]
[ Source: pgocaml  ]

Package: libpgocaml-ocaml (1.3-3build1) [universe]

Links for libpgocaml-ocaml

Screenshot

Ubuntu Resources:

Download Source Package pgocaml:

Maintainer:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainers (usually from Debian):

  • Debian OCaml Maintainers (Mail Archive)
  • Guillaume Yziquel
  • Sylvain Le Gall
  • Mehdi Dogguy

It should generally not be necessary for users to contact the original maintainer.

External Resources:

Similar packages:

OCaml type-safe bindings for PostgreSQL

PG'OCaml provides an interface to PostgreSQL databases for OCaml applications. It uses Camlp4 to extend the OCaml syntax, enabling one to directly embed SQL statements inside the OCaml code. Moreover, it uses the describe feature of PostgreSQL to obtain type information about the database. This allows PG'OCaml to check at compile-time if the program is indeed consistent with the database structure. This type-safe database access is the primary advantage that PG'OCaml has over other PostgreSQL bindings for OCaml.

This package contains dynamically loadable plugins for PG'OCaml.

Other Packages Related to libpgocaml-ocaml

  • depends
  • recommends
  • suggests
  • enhances
  • sug: postgresql (>= 7.4)
    object-relational SQL database (supported version)

Download libpgocaml-ocaml

Download for all available architectures
Architecture Package Size Installed Size Files
amd64 110.4 kB344.0 kB [list of files]
i386 105.7 kB320.0 kB [list of files]